%global momorel 1
%if 0%{?fedora} && 0%{?fedora} >= 20
%global develdocdir %{_docdir}/%{name}-devel
%else
%global develdocdir %{_docdir}/%{name}-devel-%{version}
%endif

Name:           libevent
Version:        2.1.8
Release: %{momorel}m%{?dist}
Summary:        Abstract asynchronous event notification library

Group:          System Environment/Libraries
License:        BSD
URL:            http://libevent.org/
Source0:        https://github.com/libevent/libevent/releases/download/release-%{version}-stable/%{name}-%{version}-stable.tar.gz
NoSource: 0

BuildRequires: doxygen openssl-devel

# Disable network tests
Patch01: libevent-nonettests.patch

%description
The libevent API provides a mechanism to execute a callback function
when a specific event occurs on a file descriptor or after a timeout
has been reached. libevent is meant to replace the asynchronous event
loop found in event driven network servers. An application just needs
to call event_dispatch() and can then add or remove events dynamically
without having to change the event loop.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the header files and libraries for developing
with %{name}.

%package doc
Summary: Development documentation for %{name}
Group: Documentation
BuildArch: noarch

%description doc
This package contains the development documentation for %{name}.

%prep
%setup -q -n libevent-%{version}-stable

%patch01 -p1 -b .nonettests

%build
%configure \
    --disable-dependency-tracking --disable-static
%make  all

# Create the docs
make doxygen

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_libdir}/*.la

mkdir -p %{buildroot}/%{develdocdir}/html
(cd doxygen/html; \
	install -p -m 644 *.* %{buildroot}/%{develdocdir}/html)

mkdir -p %{buildroot}/%{develdocdir}/sample
(cd sample; \
	install -p -m 644 *.c %{buildroot}/%{develdocdir}/sample)

%clean
rm -rf %{buildroot}

#%%check
#make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc ChangeLog LICENSE
%{_libdir}/libevent-*.so.*
%{_libdir}/libevent_core-*.so.*
%{_libdir}/libevent_extra-*.so.*
%{_libdir}/libevent_openssl-*.so.*
%{_libdir}/libevent_pthreads-*.so.*

%files devel
%{_includedir}/event.h
%{_includedir}/evdns.h
%{_includedir}/evhttp.h
%{_includedir}/evrpc.h
%{_includedir}/evutil.h
%dir %{_includedir}/event2
%{_includedir}/event2/*.h
%{_libdir}/libevent.so
%{_libdir}/libevent_core.so
%{_libdir}/libevent_extra.so
%{_libdir}/libevent_openssl.so
%{_libdir}/libevent_pthreads.so
%{_libdir}/pkgconfig/libevent.pc
%{_libdir}/pkgconfig/libevent_core.pc
%{_libdir}/pkgconfig/libevent_extra.pc
%{_libdir}/pkgconfig/libevent_openssl.pc
%{_libdir}/pkgconfig/libevent_pthreads.pc
%{_bindir}/event_rpcgen.*

%files doc
%{develdocdir}/

%changelog
* Mon Feb 27 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (2.1.8-1m)
- update to 2.1.8

* Mon Aug 24 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.22-1m)
- update to 2.0.22

* Wed Dec 24 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.0.21-2m)
- fix build failure
- reimport from fedora

* Sun Dec 30 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.21-1m)
- update to 2.0.21

* Sun Jul 22 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.19-1m)
- update to 2.0.19

* Tue Mar 27 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.18-1m)
- update to 2.0.18

* Tue Mar 13 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.17-1m)
- update to 2.0.17

* Sat Nov 26 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.16-1m)
- update to 2.0.16

* Tue Sep 13 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.13-1m)
- update to 2.0.13

* Sun Jun 19 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.12-1m)
- update to 2.0.12

* Sat May 14 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.11-1m)
- update to 2.0.11

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.0.10-2m)
- rebuild for new GCC 4.6

* Sun Mar 20 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.10-1m)
- update to 2.0.10

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.4.14-3m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.14-2m)
- full rebuild for mo7 release

* Wed Jun 23 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.14-1m)
- update to 1.4.14b

* Wed Dec 30 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.4.13-2m)
- remove aclocal

* Sun Dec 13 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.13-1m)
- update to 1.4.13

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4.12-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Sep 13 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.12-1m)
- update to 1.4.12

* Mon Jun  8 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.4.11-1m)
- update to 1.4.11

* Sat May 23 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.10-1m)
- update to 1.4.10

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4.9-2m)
- rebuild against rpm-4.6

* Tue Dec 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.9-1m)
- update to 1.4.9

* Wed Oct 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.8-1m)
- update to 1.4.8

* Wed Jul  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.5-1m)
- update to 1.4.5

* Sat May 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.4-1m)
- update to 1.4.4

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.1-0.1.2m)
- rebuild against gcc43

* Sat Jan  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.1-0.1.1m)
- update to 1.4.1-beta

* Sun Oct 14 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3e-1m)
- update to 1.3e

* Fri Sep 21 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3d-1m)
- update to 1.3d
- do not use %%NoSource macro

* Thu Aug 16 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3c-1m)
- update to 1.3c

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3b-1m)
- update to 1.3b

* Wed Feb 21 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.3a-1m)
- up to 1.3a

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1a-3m)
- delete libtool library

* Wed Jun  7 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1a-2m)
- revise %%files to avoid conflicting

* Wed Feb 2 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (1.1a-1m)
- Initial version
